openSUSE Security Update : perl (openSUSE-2018-751)

Medium Nessus Plugin ID 111199

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for perl fixes the following issues :

- CVE-2018-12015: The Archive::Tar module allowed remote attackers to bypass a directory-traversal protection mechanism and overwrite arbitrary files (bsc#1096718)

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected perl packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1096718

Plugin Details

Severity: Medium

ID: 111199

File Name: openSUSE-2018-751.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2018/07/20

Modified: 2018/07/24

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 6.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:perl, p-cpe:/a:novell:opensuse:perl-32bit, p-cpe:/a:novell:opensuse:perl-32bit-debuginfo, p-cpe:/a:novell:opensuse:perl-base, p-cpe:/a:novell:opensuse:perl-base-32bit, p-cpe:/a:novell:opensuse:perl-base-32bit-debuginfo, p-cpe:/a:novell:opensuse:perl-base-debuginfo, p-cpe:/a:novell:opensuse:perl-debuginfo, p-cpe:/a:novell:opensuse:perl-debugsource, cpe:/o:novell:opensuse:15.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/07/19

Reference Information

CVE: CVE-2018-12015